
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:speedq_printer/Device.dart';

class SpeedqPrinter {
    static const MethodChannel _channel = MethodChannel('speedq_printer', JSONMethodCodec());

    static Future<String?> get platformVersion async {
        final String? version = await _channel.invokeMethod('getPlatformVersion');
        return version;
    }

    static Future<List<Device>?> getPairedDevices() async {
        return await _channel.invokeMethod("getPairedDevices");
    }

    static void connect(String mac) async {
        await _channel.invokeMethod("connect", [mac]);
    }

    static void print(String text) async {
        await _channel.invokeMethod("print", [text]);
    }
}
